summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2016-06-18 11:44:44 -0500
committerWilliam Hubbs <williamh@gentoo.org>2016-06-18 11:49:17 -0500
commit6e87383571410a7375111668c7553f117b8db7ad (patch)
tree51cee66ad4b3912c536eb0adbf29124a6d7da7e4 /net-misc
parentmedia-libs/glfw: clean unused version (diff)
downloadgentoo-6e87383571410a7375111668c7553f117b8db7ad.tar.gz
gentoo-6e87383571410a7375111668c7553f117b8db7ad.tar.bz2
gentoo-6e87383571410a7375111668c7553f117b8db7ad.zip
net-misc/dhcpcd: version bump to 6.11.1
Package-Manager: portage-2.2.28
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/dhcpcd/Manifest1
-rw-r--r--net-misc/dhcpcd/dhcpcd-6.11.1.ebuild115
2 files changed, 116 insertions, 0 deletions
diff --git a/net-misc/dhcpcd/Manifest b/net-misc/dhcpcd/Manifest
index 538c07259de..7f14f2eb0d3 100644
--- a/net-misc/dhcpcd/Manifest
+++ b/net-misc/dhcpcd/Manifest
@@ -3,3 +3,4 @@ DIST dhcpcd-6.10.1.tar.xz 180112 SHA256 284abf8c3be0580bbac5eaca95359346ab0d78d4
DIST dhcpcd-6.10.2.tar.xz 184512 SHA256 64a0ff84ba7f1e820b2ccfe08980b3b73e96bb072274b21de523f1da83a94e09 SHA512 66e472b32373328fb18723d7efa9f200befb35762449a26a81d4c137eb17aae1d86bce59cc057dfb328e83061d7747a8c6facac2f0304750acfb4c634e896a65 WHIRLPOOL e92e64b36c26d651b8cd9ddc4c6902e351afe28c71a16a3f6bd069d1414eebf85791abb8eee3a6272134e5fec73f0ac4c0225c8b20ca2be07f2ac210b134bf7f
DIST dhcpcd-6.10.3.tar.xz 185520 SHA256 b586c1f770373f83e3f574c683c66bea217a6d6c89b8e91dbdb6f75aa654c8d5 SHA512 6ebcb720909f4d167d064d5e8ed961c331470762e89f4e5c145f048424ef170ffc218e9a9dcc94e3a8dce6ccc147710ec2ef17627a708918203858f3dcdca43d WHIRLPOOL 4c9844de4b6e69a761c7a5a9c34da7f97e906a379b837ccfe647f1fab5e648193298744a8eded6f46379c056cb8fcb8148af1f0e5e95d5726529a3cc2686b27f
DIST dhcpcd-6.11.0.tar.xz 187580 SHA256 31c2cd327657f11c427fe5044f74c5b942e70450fa43ceabf4b25f3fd4999959 SHA512 ee46f28b046752e80839c229e074cb87aea93695c1347ba852a026828a34b47f66990c9ce863f7de02ad81cc922c0ae000ab8fbb23ed9f2d1f97b720020db166 WHIRLPOOL 6950d95493baaf2c16343590f6c89fcf471de50c5423030607b1a26144c86636b40fb693ce87cd4d13e433f0423ff48449b7db37f7e1266038ee2b6268116ec5
+DIST dhcpcd-6.11.1.tar.xz 190956 SHA256 5c823d607ed1d7513d16ec51c54e21657f1324899e0ba333a497682d88a8c6ee SHA512 50ef755b13a96fe484623d9f2dbd91407fbea5ca728fd05dbf4259a61611a07cf3ffad7e8d20ecd513dbef80602074809abd1f5177daaa51ceccc2af5c88269f WHIRLPOOL a32350beee83184fc9d0dec5cd65f265a83aa95177b8ff700fcce2aaf2ac6c2600c322e3d8c65f1d2e9d3a2cbe71bc00b3a6efbf045fa9c805b76a3a1fca0de5
diff --git a/net-misc/dhcpcd/dhcpcd-6.11.1.ebuild b/net-misc/dhcpcd/dhcpcd-6.11.1.ebuild
new file mode 100644
index 00000000000..0b616f0955c
--- /dev/null
+++ b/net-misc/dhcpcd/dhcpcd-6.11.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+if [[ ${PV} == "9999" ]]; then
+ FOSSIL_URI="http://roy.marples.name/projects/dhcpcd"
+else
+ MY_P="${P/_alpha/-alpha}"
+ MY_P="${MY_P/_beta/-beta}"
+ MY_P="${MY_P/_rc/-rc}"
+ SRC_URI="http://roy.marples.name/downloads/${PN}/${MY_P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+inherit eutils systemd toolchain-funcs
+
+DESCRIPTION="A fully featured, yet light weight RFC2131 compliant DHCP client"
+HOMEPAGE="http://roy.marples.name/projects/dhcpcd/"
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="elibc_glibc +embedded ipv6 kernel_linux +udev"
+
+COMMON_DEPEND="udev? ( virtual/udev )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+if [[ ${PV} == "9999" ]]; then
+ DEPEND+=" dev-vcs/fossil"
+
+ src_unpack()
+ {
+ local distdir=${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}
+ local repo=${distdir}/fossil/${PN}.fossil
+
+ addwrite "${distdir}"
+
+ if [[ -e "${repo}" ]]; then
+ fossil pull "${FOSSIL_URI}" -R "${repo}" || die
+ else
+ mkdir -p "${distdir}/fossil" || die
+ fossil clone "${FOSSIL_URI}" "${repo}" || die
+ fi
+
+ mkdir -p "${S}" || die
+ cd "${S}" || die
+ fossil open "${repo}" || die
+ }
+fi
+
+src_configure()
+{
+ local dev hooks rundir
+ use udev || dev="--without-dev --without-udev"
+ hooks="--with-hook=ntp.conf"
+ use elibc_glibc && hooks="${hooks} --with-hook=yp.conf"
+ use kernel_linux && rundir="--rundir=${EPREFIX}/run"
+ econf \
+ --prefix="${EPREFIX}" \
+ --libexecdir="${EPREFIX}/lib/dhcpcd" \
+ --dbdir="${EPREFIX}/var/lib/dhcpcd" \
+ --localstatedir="${EPREFIX}/var" \
+ ${rundir} \
+ $(use_enable embedded) \
+ $(use_enable ipv6) \
+ ${dev} \
+ CC="$(tc-getCC)" \
+ ${hooks}
+}
+
+src_install()
+{
+ default
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ systemd_dounit "${FILESDIR}"/${PN}.service
+}
+
+pkg_postinst()
+{
+ # Upgrade the duid file to the new format if needed
+ local old_duid="${ROOT}"/var/lib/dhcpcd/dhcpcd.duid
+ local new_duid="${ROOT}"/etc/dhcpcd.duid
+ if [ -e "${old_duid}" ] && ! grep -q '..:..:..:..:..:..' "${old_duid}"; then
+ sed -i -e 's/\(..\)/\1:/g; s/:$//g' "${old_duid}"
+ fi
+
+ # Move the duid to /etc, a more sensible location
+ if [ -e "${old_duid}" -a ! -e "${new_duid}" ]; then
+ cp -p "${old_duid}" "${new_duid}"
+ fi
+
+ if [ -z "$REPLACING_VERSIONS" ]; then
+ elog
+ elog "dhcpcd has zeroconf support active by default."
+ elog "This means it will always obtain an IP address even if no"
+ elog "DHCP server can be contacted, which will break any existing"
+ elog "failover support you may have configured in your net configuration."
+ elog "This behaviour can be controlled with the noipv4ll configuration"
+ elog "file option or the -L command line switch."
+ elog "See the dhcpcd and dhcpcd.conf man pages for more details."
+
+ elog
+ elog "Dhcpcd has duid enabled by default, and this may cause issues"
+ elog "with some dhcp servers. For more information, see"
+ elog "https://bugs.gentoo.org/show_bug.cgi?id=477356"
+ fi
+
+ if ! has_version net-dns/bind-tools; then
+ elog
+ elog "If you activate the lookup-hostname hook to look up your hostname"
+ elog "using the dns, you need to install net-dns/bind-tools."
+ fi
+}